<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.2(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
session_start();
define('NTOP', 1);
$title = 'Информация о сайта';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('head.php');
$isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."'");
if(mysql_num_rows($isset) == 0)
	{
		echo '<div class="error">';
		echo 'Сайта нет в базе! <br/>';
		echo '</div>';
	}
else
	{	
		$online_sait = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'"));
		$user = mysql_fetch_array($isset);
		if($user['ban'] == 1)
			{
				echo '<div class="error">';
				echo 'Сайта забанен! <br/>';
				echo '</div>';
				require_once('foot.php');
				exit;
			}
		if($user['status'] == 0)
			{
				echo '<div class="error">';
				echo 'Вы не можете смотреть статистику данного сайта , так как он проходит модерацию! <br/>';
				echo '</div>';
				require_once('foot.php');
				exit;
			}
echo '<div class="menu">Статистика сайта <a href="http://'.$set['home'].'/out.php?id='.$user['id'].'"><strong>'.$user['name'].'</strong></a> (ID:<strong> '.$user['id'].'</strong>) (Онлайн: <a href="http://'.$set['home'].'/str/infos.php?act=online&id='.$id.'"><strong>'.$online_sait.'</strong></a>)</div>';
				switch($act)
					{
						default:
						$category = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."cat` WHERE `id` = '".$user['category']."'"));
						$rat_plus = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `id_sait` = '".$id."' AND `type` = 'plus'"));
						$rat_minus = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `id_sait` = '".$id."' AND `type` = 'minus'"));
						$all_rat = $rat_plus + $rat_minus;
						if($rat_plus > 0)
							{
								$procent_plus = round(($rat_plus/$all_rat)*100,1);
							}
						else
							{
								$procent_plus = '0';
							}
						if($rat_minus > 0)
							{
								$procent_minus = round(($rat_minus/$all_rat)*100,1);
							}
						else
							{
								$procent_minus = '0';
							}
						$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
						echo '<div class="main">';
						echo 'Название: <strong>'.$user['name'].'</strong><br/>';
						echo 'Адрес: <a href="http://'.$set['home'].'/out.php?id='.$user['id'].'"><strong>http://'.$user['url'].'/</strong></a><br/>';
						echo 'Категория: <a href="http://'.$set['home'].'/str/cat.php?act=view&id='.$user['category'].'">[<strong>'.$category['name'].'</strong>]</a><br/>';
						echo 'Описание: '.$user['about'].'<br/>';
						echo '---<br/>';
						echo '<img src = "http://'.$set['home'].'/system/seo.php?id='.$user['id'].'"><br/>';
						echo '---<br/>';
						echo 'Скопировать код: <br/>';
						echo '<input name="" type="text" value="http://'.$set['home'].'/system/seo.php?id='.$user['id'].'" /><br/>';
						echo '---<br/>';
						echo '<strong>Рейтинг сайта</strong>:<br/>';
						echo 'Проголосовало "<font color=green><strong>За</strong></font>" : <strong>'.$rat_plus.'</strong> ('.$procent_plus.'%)<br/>';
						echo 'Проголосовало "<font color=red><strong>Против</strong></font>" : <strong>'.$rat_minus.'</strong> ('.$procent_minus.'%)<br/>';
						if($proverka_reputation == 0)
							{
								echo '<strong>Голосовать</strong>: ';
								echo '<a href="http://'.$set['home'].'/str/infos.php?act=reputation_za&id='.$id.'">За</a> | <a href="http://'.$set['home'].'/str/infos.php?act=reputation_protiv&id='.$id.'">Против</a><br/>';
							}
						else
							{
								echo 'На данный момент , вы не можете проголосовать , так как голосовать можно 1 раз в 24 часа!<br/>';
							}
						echo '</div>';
						echo '---<br/>';
						if(isset($_POST['ok']))
							{
								$name = isset($user_data) ? $user_data['login'] : 'Гость';
								$comment = filter($_POST['comment']);
								$kod = (int)$_POST['kod'];
								$test = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `name` = '".$name."' AND `text` = '".$comment."' AND `time` > '".(time()-500)."' AND `id_sait` = '".$id."'"));
								if($test == 0)
									{
										$error = '';
										if(empty($comment))
											{
												$error .= 'Нет комментария<br/>';
											}
										if($user_data)
											{
												if($user_data['antiflud'] + $set['antiflud_time'] > time())
													{
														$error .= 'Вы писали сообщение меньше чем '.$set['antiflud_time'].' секунд назад! <br/>';
													}
											}
										else
											{
												if($set['guest_antiflud'] + $set['antiflud_time'] > time())
													{
														$error .= 'Вы писали сообщение меньше чем '.$set['antiflud_time'].' секунд назад! <br/>';
													}									
											}
										if($_SESSION['kod']!=$kod)
											{
												$error .= 'Код с картинки введён не верно! <br/>';
											}
										if(mb_strlen($comment) > 100)
											{
												$error .= 'Комментарий содержит больше 100 символов<br/>';
											}
										if(!empty($error))
											{
												echo '<div class="error">';
												echo $error;
												echo '</div>';
											}
										else
											{
												unset($_SESSION['kod']);
												$comment = mysql_query("INSERT INTO `".$prefix."sait_comments` SET `name` = '".$name."', `text` = '".$comment."', `time` = '".time()."', `id_sait` = '".$id."'");
												if($user_data)
													{
														$update_antiflud = mysql_query("UPDATE `".$prefix."users` SET `antiflud` = '".time()."' WHERE `id` = '".$user_data['id']."'");
													}
												else
													{
														$update_antiflud_guest = mysql_query("UPDATE `".$prefix."settings` SET `value` = '".time()."' WHERE `name` = 'guest_antiflud'");
													}
												if($comment)
													{
														echo '<div class="main">';
														echo 'Комментарий добавлен!<br/>';
														echo '</div>';
													}
												else
													{
														echo '<div class="error">';
														echo 'Комментарий не добавлен!<br/>';
														echo '</div>';
													}
											}
									}	
							}
						echo '<div class="title">Комментарии к сайту</div>';
						$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `id_sait` = '".$id."'"));
						if($count > 0)
							{
								$total=intval(($count-1)/$page_sait_comments)+1; 
								$page=abs(intval($_GET['page'])); 
								if(empty($page) OR $page < 0)
									{
										$page = 1; 
									}
								if($page > $total)
									{
										$page = $total; 
									}
								$past=intval($count/$page_sait_comments);  
								$start=$page*$page_sait_comments-$page_sait_comments; 
								$comments = mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `id_sait` = '".$id."' ORDER BY `time` DESC LIMIT ".$start.",".$page_sait_comments."");
								while($row = mysql_fetch_array($comments)) 
									{
										$start++;
										echo '<div class="title2">'.$start.'.<strong>'.$row['name'].' ('.data($row['time']).')</strong></div>';
										echo '<div class="main">';
										echo $row['text'].'<br/>';
										echo '</div>';
									}
								navigation($count,$page_sait_comments,$page,'http://'.$set['home'].'/str/infos.php?id='.$id.'&',$total);
							}
						else
							{
								echo '<div class="main">';
								echo 'Комментариев к данному сайту нет!<br/>';
								echo '</div>';
							}
						echo '---<br/>';
						echo '<div class="title">Добавление комментария</div>';
						echo '<div class="main">';
						echo '
						<form action="infos.php?id='.$id.'" method="post">
						Комментарий(max. 100):<br/>
						<textarea name="comment" cols="38" rows="8"></textarea><br/>
						';
						echo 'Код с картинки: <img src="http://'.$set['home'].'/system/cap.php" alt="captcha" /><br/>';
						echo '<input name="kod" type="text" value="" /><br/>';
						echo '<input name="ok" type="submit" value="Добавить" />
						</form>
						</div>';
						echo '---<br/>';
						echo '<div class="main">';
						echo 'Статистика :<br/>';
						echo '<strong>Информация о сайте</strong> | <a href="http://'.$set['home'].'/str/infos.php?act=total&id='.$id.'">Общая</a> |<a href="http://'.$set['home'].'/str/infos.php?act=hours&id='.$id.'">По часам</a> | <a href="http://'.$set['home'].'/str/infos.php?act=ip&id='.$id.'">По IP</a> | <a href="http://'.$set['home'].'/str/infos.php?act=operators&id='.$id.'">По операторам</a> | <a href="http://'.$set['home'].'/str/infos.php?act=online&id='.$id.'">По Онлайн</a>';
						echo '</div>';
						break;
						case 'total':
						$yday_start = mktime(0, 0, 0, date("m"), (date("d")-1), date("Y"));
						$yday_finish = mktime(23, 59, 59, date('m'), (date('d')-1), date('Y'));
						$day = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."'"));
						$yday_host = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `id_sait` = '".$id."'"));
						$yday_hit = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `id_sait` = '".$id."'"));
						$yday_in = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'in' AND `id_sait` = '".$id."'"));
						$yday_out = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'out' AND `id_sait` = '".$id."'"));
						$online = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'"));
						echo '
						<table width="100%" border="0" cellspacing="1" cellpadding="2">
						<tr class="title">
						<td colspan=2>Статистика сегодня</span></td></tr>
						<tr class="table"><td>Хосты:</td> <td>'.$day['hosts'].'</td></tr>
						<tr class="table"><td>Хиты:</td> <td>'.$day['hits'].'</td> </tr>
						<tr class="table"><td>В ТОП:</td> <td>'.$day['in'].'</td> </tr>
						<tr class="table"><td>ИЗ ТОПА:</td> <td>'.$day['out'].'</td> </tr>

						<tr class="title">
						<td colspan=2>Статистика Вчера</span></td></tr><tr>
						<tr class="table"><td>Хосты:</td> <td>'.$yday_host.'</td></tr>
						<tr class="table"><td>Хиты:</td> <td>'.$yday_hit.'</td> </tr>
						<tr class="table"><td>В ТОП:</td> <td>'.$yday_in.'</td> </tr>
						<tr class="table"><td>ИЗ ТОПА:</td> <td>'.$yday_out.'</td> </tr>

						<tr class="title">
						<td colspan=2>Всего</span></td></tr><tr>
						<tr class="table"><td>Хосты:</td> <td>'.$day['all_hosts'].'</td></tr>
						<tr class="table"><td>Хиты:</td> <td>'.$day['all_hits'].'</td> </tr>
						<tr class="table"><td>В ТОП:</td> <td>'.$day['all_in'].'</td> </tr>
						<tr class="table"><td>ИЗ ТОПА:</td> <td>'.$day['all_out'].'</td> </tr></table>
						';
						echo '<div class="main">';
						echo 'Статистика :<br/>';
						echo '<a href="http://'.$set['home'].'/str/infos.php?id='.$id.'">Информация о сайте</a> | <strong>Общая</strong> |<a href="http://'.$set['home'].'/str/infos.php?act=hours&id='.$id.'">По часам</a> | <a href="http://'.$set['home'].'/str/infos.php?act=ip&id='.$id.'">По IP</a> | <a href="http://'.$set['home'].'/str/infos.php?act=operators&id='.$id.'">По операторам</a> | <a href="http://'.$set['home'].'/str/infos.php?act=online&id='.$id.'">По Онлайн</a>';
						echo '</div>';
						break;
						case 'hours':
						echo '<tr class="title">
						<table width="100%" border="0" cellspacing="1" cellpadding="2">
						<tr class="title">
						<td>Часы</td><td>Хосты</td><td>Хиты</td></tr>
						';
						for($hour = 0; $hour< 24; $hour++)
							{
								$start_time = mktime($hour, 0, 0, date("m"), date("d"), date("Y"));
								$finish_time = mktime($hour+1, 0, 0, date("m"), date("d"), date("Y"));
								$hosts = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
								$hits = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
								if(strlen($hour) == 1)
									{
										$hour = '0'.$hour;
									}
								if(strlen($hour + 1) == 1)
									{
										$f = '0'.($hour + 1);
									}
								else
									{
										$f = $f + 1;
									}
								echo '<tr class="table"><td>'.$hour.':00 - '.($f).':00</td> <td>'.$hosts.'</td> <td>'.$hits.'</td></tr>';
							}
						echo '</table>';
						echo '<div class="main">';
						echo 'Статистика :<br/>';
						echo '<a href="http://'.$set['home'].'/str/infos.php?id='.$id.'">Информация о сайте</a> | <a href="http://'.$set['home'].'/str/infos.php?act=total&id='.$id.'">Общая</a> | <strong>По часам</strong> | <a href="http://'.$set['home'].'/str/infos.php?act=ip&id='.$id.'">По IP </a> | <a href="http://'.$set['home'].'/str/infos.php?act=operators&id='.$id.'">По операторам</a> | <a href="http://'.$set['home'].'/str/infos.php?act=online&id='.$id.'">По Онлайн</a>';
						echo '</div>';
						break;
						case 'ip':
						$start_time = mktime(00, 00, 00, date("m"), date("d"), date("Y"));
						$finish_time = mktime(23, 59, 59, date("m"), date("d"), date("Y"));
						$al = mysql_query("SELECT COUNT(`ip`) FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'");
						$all = mysql_result($al,0);
						$count = mysql_num_rows(mysql_query("SELECT DISTINCT `ip` as `ip`, COUNT(`ip`) AS `count` FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."' GROUP BY `ip`"));
						if($count > 0)
							{
								echo '<tr class="title">
								<table width="100%" border="0" cellspacing="1" cellpadding="2">
								<tr class="title">
								<td>IP</td><td>Хиты</td><td>Проценты</td></tr>
								';
								$total=intval(($count-1)/$pages)+1; 
								$page=abs(intval($_GET['page'])); 
								if(empty($page) OR $page < 0)
									{
										$page = 1; 
									}
								if($page > $total)
									{
										$page = $total; 
									}
								$past=intval($count/$pages);  
								$start=$page*$pages-$pages; 
								$query = mysql_query("SELECT DISTINCT `ip` as `ip`, COUNT(`ip`) AS `count` FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'  GROUP BY `ip` LIMIT ".$start.",".$pages."");
								while($stata = mysql_fetch_array($query))
									{
										$procent = ($stata['count'] / $all) * 100;
										echo '<tr class="table"><td>'.$stata['ip'].'</td> <td>'.$stata['count'].'</td> <td>'.round($procent, 1).'%</td></tr>';
									}
								echo '</table>';
								navigation($count,$pages,$page,'infos.php?act=ip&id='.$id.'&',$total);
							}
						else
							{
								echo 'Нет статистики по IP для этого сайта сегодня.<br/>';
							}
						echo '<div class="main">';
						echo 'Статистика :<br/>';
						echo '<a href="http://'.$set['home'].'/str/infos.php?id='.$id.'">Информация о сайте</a> | <a href="http://'.$set['home'].'/str/infos.php?act=total&id='.$id.'">Общая</a> | <a href="http://'.$set['home'].'/str/infos.php?act=hours&id='.$id.'">По часам</a> | <strong>По IP</strong> | <a href="http://'.$set['home'].'/str/infos.php?act=operators&id='.$id.'">По операторам</a> | <a href="http://'.$set['home'].'/str/infos.php?act=online&id='.$id.'">По Онлайн</a>';
						echo '</div>';
						break;
						case 'operators':
						$start_time = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
						$finish_time = mktime(23, 59, 59, date("m"), date("d"), date("Y"));
						$all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
						$opera = mysql_query("SELECT DISTINCT `".$prefix."hits`.`operator`, COUNT(`".$prefix."hits`.`operator`) AS `count`, `".$prefix."ip_name`.`operator` as `name` FROM `".$prefix."hits`, `".$prefix."ip_name` WHERE `".$prefix."hits`.`id_sait` = '".$id."' AND `".$prefix."hits`.`time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `".$prefix."hits`.`operator` = `".$prefix."ip_name`.`id` GROUP BY `".$prefix."hits`.`operator` ORDER BY 2 DESC");
						$oper_count = mysql_num_rows($opera);
						if($oper_count > 0)
							{
								echo '<tr class="title">
								<table width="100%" border="0" cellspacing="1" cellpadding="2">
								<tr class="title">
								<td>Оператор</td><td>Хиты</td><td>Проценты</td>
								</tr>
								';
								$total=intval(($oper_count-1)/$pages)+1; 
								$page=abs(intval($_GET['page'])); 
								if(empty($page) OR $page < 0)
									{
										$page = 1; 
									}
								if($page > $total)
									{
										$page = $total; 
									}
								$past=intval($oper_count/$pages);  
								$start=$page*$pages-$pages; 
								$oper = mysql_query("SELECT DISTINCT `".$prefix."hits`.`operator`, COUNT(`".$prefix."hits`.`operator`) AS `count`, `".$prefix."ip_name`.`operator` as `name` FROM `".$prefix."hits`, `".$prefix."ip_name` WHERE `".$prefix."hits`.`id_sait` = '".$id."' AND `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `".$prefix."hits`.`operator` = `".$prefix."ip_name`.`id` GROUP BY `".$prefix."hits`.`operator` ORDER BY 2 DESC LIMIT ".$start.",".$pages."");
								while($op = mysql_fetch_array($oper))
									{
										$procent = ($op['count'] / $all) * 100;
										echo '<tr class="table"><td>'.$op['name'].'</td><td>'.$op['count'].'</td><td>'.round($procent, 2).'%</td></tr>';
									}
								echo '</table>';
								navigation($oper_count,$pages,$page,'infos.php?act=operators&id='.$id.'&',$total);
							}
						else
							{
								echo 'Нет статистики по операторам для этого сайта сегодня.<br/>';
							}
						echo '<div class="main">';
						echo 'Статистика :<br/>';
						echo '<a href="http://'.$set['home'].'/str/infos.php?id='.$id.'">Информация о сайте</a>  | <a href="http://'.$set['home'].'/str/infos.php?act=total&id='.$id.'">Общая</a> | <a href="http://'.$set['home'].'/str/infos.php?act=hours&id='.$id.'">По часам</a> | <a href="http://'.$set['home'].'/str/infos.php?act=ip&id='.$id.'">По IP</a> | <strong>По операторам</strong> | <a href="http://'.$set['home'].'/str/infos.php?act=online&id='.$id.'">По Онлайн</a>';
						echo '</div>';
						break;
						case 'online':
						$all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'"));
						if($all != 0)
							{ 
								echo '<tr class="title">
								<table width="100%" border="0" cellspacing="1" cellpadding="2">
								<tr class="title">
								<td>IP</td><td>UA</td><td>Время</td>
								</tr>
								';
								$total=intval(($all-1)/$pages)+1; 
								$page=abs(intval($_GET['page'])); 
								if(empty($page) OR $page < 0)
									{
										$page = 1; 
									}
								if($page > $total)
									{
										$page = $total; 
									}
								$past=intval($all/$pages);  
								$start=$page*$pages-$pages; 
								$onl = mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."' LIMIT ".$start.",".$pages."");
								while($row = mysql_fetch_array($onl)) 
									{
										echo '<tr class="table"><td>'.$row['ip'].'</td> <td>'.$row['ua'].'</td> <td>'.data($row['time']).'</td></tr>';
									}
								echo '</table>';
								navigation($all,$pages,$page,'infos.php?act=online&id='.$id.'&',$total);
							}
						else
							{
								echo 'Нет статистики по онлайн для этого сайта сегодня.<br/>';
							}
						echo '<div class="main">';
						echo 'Статистика :<br/>';
						echo '<a href="http://'.$set['home'].'/str/infos.php?id='.$id.'">Информация о сайте</a>  | <a href="http://'.$set['home'].'/str/infos.php?act=total&id='.$id.'">Общая</a> | <a href="http://'.$set['home'].'/str/infos.php?act=hours&id='.$id.'">По часам</a> | <a href="http://'.$set['home'].'/str/infos.php?act=ip&id='.$id.'">По IP</a> | <a href="http://'.$set['home'].'/str/infos.php?act=operators&id='.$id.'">По операторам</a> | <strong>По Онлайн</strong>';
						echo '</div>';
						break;
						case 'reputation_za':
						$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
						if($proverka_reputation == 0)
							{
								$repa = mysql_query("INSERT INTO `".$prefix."reputation` SET `type` = 'plus', `ip` = '".$ip."', `time` = '".time()."', `id_sait` = '".$id."'");
								if($repa)
									{
										echo '<div class="main">';
										echo 'Репутация сайта успешно повышена на 1 единицу!<br/>';
										echo '</div>';
									}
								else
									{
										echo '<div class="error">';
										echo 'Репутация не изменена!<br/>';
										echo '</div>';
									}
							}
						else
							{
								echo '<div class="error">';
								echo 'Вы уже голосовали за этот сайт , голосовать можно 1 раз за 24 часа!<br/>';
								echo '</div>';
							}
						echo '<a href="http://'.$set['home'].'/str/infos.php?id='.$id.'">К статистике сайта</a><br/>';
						break;
						case 'reputation_protiv':
						$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
						if($proverka_reputation == 0)
							{
								$repa = mysql_query("INSERT INTO `".$prefix."reputation` SET `type` = 'minus', `ip` = '".$ip."', `time` = '".time()."', `id_sait` = '".$id."'");
								if($repa)
									{
										echo '<div class="main">';
										echo 'Репутация сайта успешно понижена на 1 единицу!<br/>';
										echo '</div>';
									}
								else
									{
										echo '<div class="error">';
										echo 'Репутация не изменена!<br/>';
										echo '</div>';
									}
							}
						else
							{
								echo '<div class="error">';
								echo 'Вы уже голосовали за этот сайт , голосовать можно 1 раз за 24 часа!<br/>';
								echo '</div>';
							}
						echo '<a href="http://'.$set['home'].'/str/infos.php?id='.$id.'">К статистике сайта</a><br/>';
						break;
					}
	}
require_once('foot.php');
?>
